## msoma 0.1.2

=== Makefile ===
#############################################################################
# Makefile for building: msoma
# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri Jul 2 03:35:29 2010
# Project:  msoma.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile msoma.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DQT_NO_DEBUG -DQT_WEBKIT_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtCore -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtNetwork -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtGui -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtXml -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include/QtWebKit -I/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/include -I. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/opt/qt4-maemo5/lib
LIBS          = $(SUBLIBS)  -L/opt/qt4-maemo5/lib -lQtWebKit -L/opt/qt4-maemo5/lib -L/usr/X11R6/lib -lsqlite3 -lphonon -lQtXmlPatterns -lQtGui -lQtNetwork -lgconf-2 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lQtDBus -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		mainwindow.cpp \
		settingsdialog.cpp \
		channelsform.cpp \
		channelplayer.cpp \
		channelsreader.cpp \
		msomachannels.cpp \
		msomachannel.cpp \
		msomaplaylist.cpp \
		playlistreader.cpp \
		mediastream.cpp \
		msomasong.cpp \
		msomasongs.cpp \
		songsreader.cpp moc_mainwindow.cpp \
		moc_settingsdialog.cpp \
		moc_channelsform.cpp \
		moc_channelplayer.cpp \
		moc_channelsreader.cpp \
		moc_mediastream.cpp
OBJECTS       = main.o \
		mainwindow.o \
		settingsdialog.o \
		channelsform.o \
		channelplayer.o \
		channelsreader.o \
		msomachannels.o \
		msomachannel.o \
		msomaplaylist.o \
		playlistreader.o \
		mediastream.o \
		msomasong.o \
		msomasongs.o \
		songsreader.o \
		moc_mainwindow.o \
		moc_settingsdialog.o \
		moc_channelsform.o \
		moc_channelplayer.o \
		moc_channelsreader.o \
		moc_mediastream.o
DIST          = /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		msoma.pro
QMAKE_TARGET  = msoma
DESTDIR       = 
TARGET        = msoma

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): ui_mainwindow.h ui_settingsdialog.h ui_channelsform.h ui_channelplayer.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: msoma.pro  /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf \
		/opt/qt4-maemo5/lib/libQtWebKit.prl \
		/opt/qt4-maemo5/lib/libphonon.prl \
		/opt/qt4-maemo5/lib/libQtDBus.prl \
		/opt/qt4-maemo5/lib/libQtXml.prl \
		/opt/qt4-maemo5/lib/libQtCore.prl \
		/opt/qt4-maemo5/lib/libQtGui.prl \
		/opt/qt4-maemo5/lib/libQtXmlPatterns.prl \
		/opt/qt4-maemo5/lib/libQtNetwork.prl
	$(QMAKE) -unix -o Makefile msoma.pro
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/opt/qt4-maemo5/mkspecs/features/include_source_dir.prf:
/opt/qt4-maemo5/lib/libQtWebKit.prl:
/opt/qt4-maemo5/lib/libphonon.prl:
/opt/qt4-maemo5/lib/libQtDBus.prl:
/opt/qt4-maemo5/lib/libQtXml.prl:
/opt/qt4-maemo5/lib/libQtCore.prl:
/opt/qt4-maemo5/lib/libQtGui.prl:
/opt/qt4-maemo5/lib/libQtXmlPatterns.prl:
/opt/qt4-maemo5/lib/libQtNetwork.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile msoma.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/msoma1.0.0 || $(MKDIR) .tmp/msoma1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/msoma1.0.0/ && $(COPY_FILE) --parents mainwindow.h settingsdialog.h channelsform.h channelplayer.h channelsreader.h msomachannels.h msomachannel.h msomaplaylist.h playlistreader.h mediastream.h constants.h msomasong.h msomasongs.h songsreader.h .tmp/msoma1.0.0/ && $(COPY_FILE) --parents main.cpp mainwindow.cpp settingsdialog.cpp channelsform.cpp channelplayer.cpp channelsreader.cpp msomachannels.cpp msomachannel.cpp msomaplaylist.cpp playlistreader.cpp mediastream.cpp msomasong.cpp msomasongs.cpp songsreader.cpp .tmp/msoma1.0.0/ && $(COPY_FILE) --parents mainwindow.ui settingsdialog.ui channelsform.ui channelplayer.ui .tmp/msoma1.0.0/ && (cd `dirname .tmp/msoma1.0.0` && $(TAR) msoma1.0.0.tar msoma1.0.0 && $(COMPRESS) msoma1.0.0.tar) && $(MOVE) `dirname .tmp/msoma1.0.0`/msoma1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/msoma1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_mainwindow.cpp moc_settingsdialog.cpp moc_channelsform.cpp moc_channelplayer.cpp moc_channelsreader.cpp moc_mediastream.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_mainwindow.cpp moc_settingsdialog.cpp moc_channelsform.cpp moc_channelplayer.cpp moc_channelsreader.cpp moc_mediastream.cpp
moc_mainwindow.cpp: mainwindow.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) mainwindow.h -o moc_mainwindow.cpp

moc_settingsdialog.cpp: settingsdialog.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) settingsdialog.h -o moc_settingsdialog.cpp

moc_channelsform.cpp: msomachannels.h \
		msomachannel.h \
		msomaplaylist.h \
		channelsform.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) channelsform.h -o moc_channelsform.cpp

moc_channelplayer.cpp: channelplayer.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) channelplayer.h -o moc_channelplayer.cpp

moc_channelsreader.cpp: msomachannels.h \
		msomachannel.h \
		msomaplaylist.h \
		channelsreader.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) channelsreader.h -o moc_channelsreader.cpp

moc_mediastream.cpp: mediastream.h
	/opt/qt4-maemo5/bin/moc $(DEFINES) $(INCPATH) mediastream.h -o moc_mediastream.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all: ui_mainwindow.h ui_settingsdialog.h ui_channelsform.h ui_channelplayer.h
compiler_uic_clean:
	-$(DEL_FILE) ui_mainwindow.h ui_settingsdialog.h ui_channelsform.h ui_channelplayer.h
ui_mainwindow.h: mainwindow.ui
	/opt/qt4-maemo5/bin/uic mainwindow.ui -o ui_mainwindow.h

ui_settingsdialog.h: settingsdialog.ui
	/opt/qt4-maemo5/bin/uic settingsdialog.ui -o ui_settingsdialog.h

ui_channelsform.h: channelsform.ui
	/opt/qt4-maemo5/bin/uic channelsform.ui -o ui_channelsform.h

ui_channelplayer.h: channelplayer.ui
	/opt/qt4-maemo5/bin/uic channelplayer.ui -o ui_channelplayer.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

main.o: main.cpp mainwindow.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

=== debian/changelog ===
msoma (0.1.2) unstable; urgency=low

  * Initial Release.

 -- Andrea Grandi <a.grandi@gmail.com>  Wed, 30 Jun 2010 12:48:53 +0200

=== debian/control ===
Source: msoma
Section: user/multimedia
Priority: extra
Maintainer: Andrea Grandi <a.grandi@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-dev
Standards-Version: 3.7.3

Package: msoma
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: mSoma is a native client for SomaFM internet radio (http://somafm.com ) 
 written in Qt4 and C++. The application will be available for Maemo and MeeGo, 
 with an initial release for Nokia N900.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

#configure: configure-stamp
#configure-stamp:
#	dh_testdir
#	# Add here commands to configure the package.
#	qmake msoma.pro
#	touch configure-stamp

builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake ../msoma.pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir

	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1

	touch $@
clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	rm -rf builddir

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/msoma.
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/msoma install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## msoma 0.1.2-1

=== debian/changelog ===
msoma (0.1.2-1) unstable; urgency=low

  * Initial Release.

 -- Andrea Grandi <a.grandi@gmail.com>  Wed, 30 Jun 2010 12:48:53 +0200

## msoma 0.1.2-2

=== debian/changelog ===
msoma (0.1.2-2) unstable; urgency=low

  * Initial Release.

 -- Andrea Grandi <a.grandi@gmail.com>  Wed, 30 Jun 2010 12:48:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: msoma
 Section: user/multimedia
 Priority: extra
+Version: 0.1.2-1
 Maintainer: Andrea Grandi <a.grandi@gmail.com>
 Build-Depends: debhelper (>= 5), libqt4-dev, libqtm-dev
 Standards-Version: 3.7.3

## msoma 0.1.2-3

=== debian/changelog ===
msoma (0.1.2-3) unstable; urgency=low

  * Add icon to application.

 -- Andrea Grandi <a.grandi@gmail.com>  Wed, 30 Jun 2010 12:48:53 +0200

=== debian/control ===
--- 
+++ 
@@ -12,3 +12,86 @@
 Description: mSoma is a native client for SomaFM internet radio (http://somafm.com ) 
  written in Qt4 and C++. The application will be available for Maemo and MeeGo, 
  with an initial release for Nokia N900.
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAIAAADYYG7QAAAAAXNSR0IArs4c
+ 6QAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9oHAgwWGo+4NLsAAA2m
+ SURBVFjDtVlbj2XXUf6+qlp7n9Pd03PxeHwbJ5CxQxJFuUFMotxGPBCJoIAi
+ lIvEe8QLLzzwECEhfgBIUZ5QHnlASEGgCCSDIAIrkiFSJAfl4tgeO56MPdOe
+ nunbue21qoqHfbp7PEFRLmI9nD7afVadb1V99VXVOtzd3R2GgaSZdV2XmRHh
+ 7viZV2YCIImfc8nxqrXWWjNTVW0YBgCbm5uZeXR0tFgsfi40v8zKTBHp+/7s
+ 2bOTyeTo6MjdLSK2t7cj4vnnn6+1/pJf8AvvffLJJzc2NmazGW/dujWZTH7w
+ gx+sVqtfwO0nKyJ+mcOQfNe73iUiZmZ37tyZz+cAnNSIICXohdI8M0htDElI
+ UhKulEySARLBlGSeAEqmpCQo6U4CFDqCCAyanTMBN5FMgkAmnVmABPLmzZuP
+ PfaYjdRprQFgIgNNIdEuH9YLACW6YBVYIIgEavJ1y9tl4lIsWgqQIDkyTzIb
+ JYFgagiiPeD1kZQeUQJNgcQysSNxq/SaltICThDA7du3L168aMvlcrVajexp
+ TAtFa+9cDpdHVjCAkGogQlwig3ap2cuzwxe2JgOFDSAAjIAClKxgarKlv7ut
+ 3podsiYBEOGJZOojUl5ZHH1v0qV0mjXI0cer1cqGYXD3OlQAwUTGdltdrp6s
+ jQxMEkkkEpKSkiUGYPa26H60XB5aB4CZADwcQJCWkSlV2scHPOACrJqIg4AE
+ RDMsB8ribU0m4d8qtbED25gT7m61VnevrY6mB/r5usTgkvy+4oUNds7MSElJ
+ GxSXvT3Vuj3Nu+kYGtESAq49lEBkOuWdC78g8wysrP+vWO1p39gkrTEv1/pB
+ 9BrLh4KXW/1hH5o4BRQRrbVRjZKu3i8yoq4k5W0ue8vbr1nHfhJsEp7Bl6E/
+ FkdmHRx0HGf6sXolU1z8YmuZKRLfavV6L6weEhLpki8jV3XxiXDNmFjxHJxr
+ QBHxJkBOai5vx3BY5Ww72JDuE6l36+yFxeyHsLrRI0FgNYoDIYEgibwPUMBj
+ aIxM5UvqsSqC1iQsxClLiZutDa32SbgPUUCeesjd3X3MMgfosaD8E+vHc/po
+ HeBxPpcfVHmvdc/dPnhhMp2XIkInCWgwBEQCHC0kwCCkZW30cFVXXZZBAwAc
+ ZEoSQ2twh7dUXSEJGRXw1EPL5XJMgwp14bL51wovrPxj4Q8RG3N0sniKw1Mz
+ /27Dt5WLzelKyDwVUm8OIAkmgRqDowWNzlKDHgAkidHH5lWqZ0YTWRKaBJBx
+ T8iOz0eJloKWQOANyNeVm+7vVn+/u3kTz3eovD3qv79+9PylByVWThvTfrQg
+ GYGSTF01uDNibsblkESlSgqRzpgMAR/omVZC1mlP4Smg1Wq1LkdMAkFYpAYX
+ mjN0/4H4NvnW1I+gnl0MmuWqTl6a7+3bVHPcuAbUmF24sw2Dow1s5na47MDQ
+ ZBLZxIvjMCKGhlaHzleI+znUWhuFkWMBToaQUeZa6aFYDZTb2e6ofRfyWxkf
+ aAddWzwaZW+jOKtDCIwWEhiyJcLmnlwySlTU2AIiZGXpDRq0brnSugIigQEJ
+ yljO1h5y93WWCencrLPLy+UbpjndSpbKBgBpkMUQ/ffq8D5P8dWk6aKbBcVi
+ 7aHMFKARmbiV8Xit4PJjXv4xVtmdyXC4u1gb9j4yb+gc3u3BGyXQxvbo/rSf
+ NuxP/Pf2F78Ry6GbfG33xg3TPtKRAJ2cev1ot6FcZnavTd1XK6QNTBx7KADN
+ CMozy/33YVp8eMry/AGeHmaNkeIa+bu6dcWWnHkt3QsxX2IK5AjofmEcEMNK
+ l4HWFlrbF5LpngkCwaoNqRI+h+cg5RoWdTV1WTHXwpiZABtCUl4u07+fLT8j
+ rZsNb6f8WiKRbAQ0MEegsv9qXbzUb2ZbIHUElJm2u7vr7uP5JAEZvm5Zl5sf
+ xSJRdYAkEtCcujZtC6Xe7bqv6vKgTVwHbSQyjz1EMOFJAew/zW4s5l9k2Whz
+ pjE7oAErIfdK99fRXu3PVT9CK5o1kSIyn8/tjTfe2NnZGRkuKcE8ZP7tJp9Z
+ dhdDOlNmJgEEQdfNPetvImcmpVXW3nXIALgWxjExyOpcIeX7ZfqlQS5LTrNZ
+ DklKTA7Y/TjiqFjmzFYkV0NSVXZ3d69fv24kb9y48eyzz16+fPnBSxeLdB5J
+ tB9ruW48KVWgSjKARBWAVZagYj98QsbIoQQ0fGEybeKMZErmHup+asJco7hC
+ UVktE0OTlKVash3euXvjxmvDMFy9etUAqGqt9dq1ay++8OKFBy5cuvTgZDIt
+ 1sQkI8dsvHeucIz0TQeBN+mQAzr4gLHoeozhRIxlaQWnQygts7a6Wq12d2+/
+ /vrNkUBbW1skTURUVURGZAcHBwcHB2O7PplMzp8/v7293XXduIdkZo6v9/X2
+ Y9r/ZNt/75Za69HR0d27d/f398evy0wzO2mrSRqP18nTE3O11p2dnZ2dnROj
+ 6z1vXuOWYRhGR45Ke6L+I9D7jnEviHvHtFNAo4d++lQwvo4Hba1FxChl48Pj
+ 4oOTj917jJ99brT1nzVkZbaQhEyY80whSDBTwNDwEAuKRo00s1Vkz9Lopzy7
+ N1IAEukSxfsmIRmEJZgcCBaXxnAZNLoxO0dn2wk0AMFmYV0dHrn7o5ubF+ad
+ XZrvbdV2YzpZbF1gXV1e7HY+vNFvzLYfQqZBMjNV8WY3rN8nhN3W7O6vzPZh
+ 84YSQMnapN/TM9fPlGla5iZkLWBrPoyRW4dMPKCfWRx9bit2sPjO3b3fOWO1
+ zAc796c71z/X48OTJq5Hxi+99tLLjz6+0iipIoKkqv5knLPOvlL08fO9wJkT
+ UAMMNFj83c7tv3nw4aFEcW3CkePrkKmqmQFUpKP8uhHYfiSPHt3UBmhuTeqd
+ v9pMzQ22Cmln2/AXFx/8Y7SZTFcimjHy9P4so0h25zhjG5Q5qPcxIwzc0IYv
+ XNRyuPvViw9BqBRkrkO25rYZgMgJhSKlx1FwmpkHlF51w9Okc/g+J8rciLYd
+ +1t8aL+zLkcNx//hIWbo9E/qxju43PLlIJMCH0Su+PxTXV8Cnz23+W919erk
+ jDETNLNTD43mFIyo1A7smPodm/7ltPvUUfu8NIfeku0/m9onl6vP1nlV60Q6
+ MknKenIdPeSkRYY0iRKat5XPTM4QWwFRtEr715gOR/UPtJZsj9vkNVMB8iTL
+ RgKNGgUIGSJKdoN1X55OBzu3bLveBF6+PKlHGw8uYzdzKhx6ETUFZBTj0QIh
+ wjSJQOcqfdBNGJH0iUPBudGie8GWFM3UiYqajf3i/YDGhxFOU0JpvepmdMBS
+ +9ovOilyYShC0ASupYiprgGdzPbBLJmDdBtLWdqwPew9sX/ncQLRgykZTaSv
+ eclEzm4COaVR1LhWy9PSccwAZhaqShSKiRGGCbpUQnSY5qZk7TYiBhK9mooG
+ RTPBdZYJsnMKtW35b9/Y+aOzD3XbpWlFCgFJZdaqlBznHp+IlaKSa0DHwkg5
+ VmoiRVRDFSaqNoWhMFKNvYoZtBXVgU3KRFOsGDxTT6pBAqlhxK/eufnF8w+o
+ H4aJWhepZFZB54VIiQYkYL2palGsg35cOmStQwQjhWJApagoRWWMaEJMVFRD
+ KFqELKCISmZyXZjXMg068lP9wx1mavoPsvGsactNchbQXig2//3afyAWGdLZ
+ GJ08LR0qqqqllGPVFzVTds3MzNSKlo5ZyK6YaVeylewmmjFVK8WYQso9F1aw
+ sIJ6Sc1EIJv/LHLYbYfW3s9UpqUe6UbMDt8XRVN6URMl4jRko4SsSc2xTRfA
+ oKLSqQpFIZaiJiYiqZpq6m2qphSS41S1FkamiCF9MUG2TtREOnRiaQREI+Hb
+ g59bhUxMInpVM0HyTdX+pJblcfIxT65shaasSlUKIJokpADZa5E1j3ESskQi
+ xcXK4JBCxcXVIqZpKYfFNptND+7+ocgHzph4EN6pqsp4g7YGNFJpNMeMyg42
+ D0p0IlZGd6D0BumUtGJFtBY334CKFclEchwxMxPQlEr0/531/aVkxJ9PpwdR
+ Imo3rDJsY7q54StHRpm0TFWDrrNsXcv6vj/tGNMTTCsad7vcbkWLoKoZfFkQ
+ 2heVhU7cDpGIIkYF86SbGZU6UTTbt85uf3io7x2WkxjKUElxVvNwbanckf5C
+ ti7rBGpIynoMUlXb3Nzsuu5YRaiwZ6blYn3027YSsdB8tS+32qU7PQ57M8pO
+ X661zQ2cf7GrJuqSkqcXVszWONXQoH9lEp8U+82YbKGViCpTtbxD/IvI/9A+
+ n/UJ6nMh2Y3hY9/3Xdfxueeee/HFF59++mmSA6R3h6RHgxohkpFhoXN1Ni2A
+ Ep45SJixaxJBaubYRgJAqnMgDAhNDVLbYiVWgkASrbFQC9AkFuEFnTKETADv
+ ec97rl69auFx6dIlM4uIHgkjkmr9yfRDScUUBjtuNcEpBIGUk1uC0yY4BaOC
+ jNU60U360wbAynpsEcimGIGAjremePLJJ/uul/2D/ccee+zTn/70aHRUSf60
+ 9ab/rhV1vfdnXCefhIiOez/0oQ898cQTe/t7/MY3vtH3/cMPP/zKK6+8+uqr
+ 165dG2/1f66fOEj+Yr+TlFLe8pa3XLly5cqVK4vF4s6dO/zmN79Za+267ty5
+ c+Pc5O73TYb/T7+5jL7Z2NiYTqeHh4ez2UxV/xe1JxdTZx1gnAAAAABJRU5E
+ rkJggg==
+

=== debian/rules ===
--- 
+++ 
@@ -9,18 +9,12 @@
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 
-#configure: configure-stamp
-#configure-stamp:
-#	dh_testdir
-#	# Add here commands to configure the package.
-#	qmake msoma.pro
-#	touch configure-stamp
-
+APPNAME := msoma
 builddir:
 	mkdir -p builddir
 
 builddir/Makefile: builddir
-	cd builddir && qmake ../msoma.pro
+	cd builddir && qmake PREFIX=/usr ../$(APPNAME).pro
 
 build: build-stamp
 
@@ -32,24 +26,26 @@
 	#docbook-to-man debian/$(APPNAME).sgml > $(APPNAME).1
 
 	touch $@
-clean: 
+
+clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp configure-stamp
+	rm -f build-stamp
 
 	# Add here commands to clean up after the build process.
 	rm -rf builddir
 
-	dh_clean 
+	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k 
+	dh_clean -k
 	dh_installdirs
 
-	# Add here commands to install the package into debian/msoma.
-	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/msoma install
+	# Add here commands to install the package into debian/arora.
+	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
+
 
 # Build architecture-independent files here.
 binary-indep: build install

## msoma 0.1.2-4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: msoma
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri Jul 2 03:35:29 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri Jul 2 15:54:32 2010
 # Project:  msoma.pro
 # Template: app
 # Command: /usr/bin/qmake -unix -o Makefile msoma.pro

=== debian/changelog ===
msoma (0.1.2-4) unstable; urgency=low

  * Add desktop icon and menu icon.

 -- Andrea Grandi <a.grandi@gmail.com>  Wed, 30 Jun 2010 12:48:53 +0200

=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,15 @@
 	dh_clean -k
 	dh_installdirs
 
-	# Add here commands to install the package into debian/arora.
+	# Add here commands to install the package into debian/msoma.
+
+	mkdir -p $(CURDIR)/debian/msoma/usr/share/applications/hildon
+	cp msoma.desktop $(CURDIR)/debian/msoma/usr/share/applications/hildon
+	mkdir -p $(CURDIR)/debian/msoma/usr/share/icons/hicolor/48x48/hildon
+	cp msoma_48x48.png $(CURDIR)/debian/msoma/usr/share/icons/hicolor/48x48/hildon/msoma.png
+	mkdir -p $(CURDIR)/debian/msoma/usr/share/icons/hicolor/64x64/hildon
+	cp msoma_64x64.png $(CURDIR)/debian/msoma/usr/share/icons/hicolor/64x64/hildon/msoma.png
+
 	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install

## msoma 0.1.2-5

=== debian/changelog ===
msoma (0.1.2-5) unstable; urgency=low

  * Show recently played songs, or just the current one
  * Makes sure the current song is left aligned

 -- Lorenzo Bettini <l.bettini@ptlug.org>  Sat, 03 Jul 2010 16:47:32 +0200

## msoma 0.1.2-6

=== debian/changelog ===
msoma (0.1.2-6) unstable; urgency=low

  * Fix scrolling of channel list

 -- Lorenzo Bettini <lorenzo.bettini@gmail.com>  Mon, 12 Jul 2010 16:47:32 +0200

=== debian/rules ===
--- 
+++ 
@@ -47,10 +47,12 @@
 
 	mkdir -p $(CURDIR)/debian/msoma/usr/share/applications/hildon
 	cp msoma.desktop $(CURDIR)/debian/msoma/usr/share/applications/hildon
+
 	mkdir -p $(CURDIR)/debian/msoma/usr/share/icons/hicolor/48x48/hildon
-	cp msoma_48x48.png $(CURDIR)/debian/msoma/usr/share/icons/hicolor/48x48/hildon/msoma.png
+	cp images/msoma_48x48.png $(CURDIR)/debian/msoma/usr/share/icons/hicolor/48x48/hildon/msoma.png
+
 	mkdir -p $(CURDIR)/debian/msoma/usr/share/icons/hicolor/64x64/hildon
-	cp msoma_64x64.png $(CURDIR)/debian/msoma/usr/share/icons/hicolor/64x64/hildon/msoma.png
+	cp images/msoma_64x64.png $(CURDIR)/debian/msoma/usr/share/icons/hicolor/64x64/hildon/msoma.png
 
 	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install

## msoma 0.1.2-7

=== debian/changelog ===
msoma (0.1.2-7) unstable; urgency=low

  * Fix building for Maemo target with libqtm-multimedia > 1.0.0

 -- Andrea Grandi <a.grandi@gmail.com>  Sat, 24 Jul 2010 13:44:32 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 Package: msoma
 Architecture: any
+XB-Maemo-Display-Name: mSoma
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: mSoma is a native client for SomaFM internet radio (http://somafm.com ) 
  written in Qt4 and C++. The application will be available for Maemo and MeeGo,

## msoma 0.1.2-8

=== debian/changelog ===
msoma (0.1.2-8) unstable; urgency=low

  * Added progress bar when updating channel list

 -- Lorenzo Bettini <lorenzo.bettini@gmail.com>  Sat, 07 Aug 2010 13:14:32 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Package: msoma
 Architecture: any
 XB-Maemo-Display-Name: mSoma
+Xsbc-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=mSoma
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: mSoma is a native client for SomaFM internet radio (http://somafm.com ) 
  written in Qt4 and C++. The application will be available for Maemo and MeeGo,
